> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Profile Normal Hour

> A `GET` to the `/profiles/{profileId}/normal-hours/{normalHourId}` endpoint allows your application to retrieve a specific profile normal hour.



## OpenAPI

````yaml get /v3/profiles/{profile}/normal-hours/{normalHour}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/normal-hours/{normalHour}:
    get:
      tags:
        - Profile Normal Hour
      summary: Read Profile Normal Hour
      description: >-
        A `GET` to the `/profiles/{profileId}/normal-hours/{normalHourId}`
        endpoint allows your application to retrieve a specific profile normal
        hour.
      operationId: profiles.normal-hours.show
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
        - name: normalHour
          in: path
          required: true
          description: The normal hour ID
          schema:
            type: integer
      responses:
        '200':
          description: '`ProfileNormalHour`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProfileNormalHour'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    ProfileNormalHour:
      type: object
      properties:
        id:
          type: integer
        profile_id:
          type: string
        day_of_week:
          type: string
        available_from:
          type:
            - string
            - 'null'
        available_until:
          type:
            - string
            - 'null'
        is_closed:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - day_of_week
        - available_from
        - available_until
        - is_closed
        - created_at
        - updated_at
      title: ProfileNormalHour
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````